JMC13
Contributor
Contributor

vCenter Orchestrator Beta plugin

Jump to solution

I see where it says you need to be an administrator to login to vcenter and run context actions.  I see why you should need this to create/change them.  But not to run them.  All users with proper rights can navigate and run workflows from the VCOIN (html5 vcenter plugin) but they only see the "default" actions options.  If I try to edit I get an error of "Failed to save configuration to vRealize Orchestrator server".  Since I can run the workflows, and also use the default context actions.  The only conclusion I can reach is its a simple permissions issue with the configuration file.  If I cannot grant access to a new context actions config, can I somehow replace the default with what I want?  I can't figure out where that would be located in vcenter.   

 

https://********/ui/vcoin-ui/rest/vros/*************/configuration is the 500 error.

0 Kudos
1 Solution

Accepted Solutions
jesse_cohen
Enthusiast
Enthusiast

The answer is to set permissions on the configuration item the HTML5 plugin creates.  There is no documentation on this, but I found it when doing something else.  by granting permissions to a read group they can then see those context actions in vcenter.

View solution in original post

0 Kudos
1 Reply
jesse_cohen
Enthusiast
Enthusiast

The answer is to set permissions on the configuration item the HTML5 plugin creates.  There is no documentation on this, but I found it when doing something else.  by granting permissions to a read group they can then see those context actions in vcenter.

0 Kudos